enabled = true
port = 80
# by default bind to localhost only
host = "0.0.0.0"

# Use `true` (HTTPS) for port 443 and `false` (HTTP) for 80
secure = false

# If set requires all API calls to have accessToken query argument with that value
accessToken = "nohaytoken"
# http://localhost:8080/users?accessToken=somesecretvalue
#accessToken="somesecretvalue"

[accessControl]
# If true then require a valid access token to perform API calls
enabled = false
# Secret for HMAC
# Changing this value invalidates all tokens
#secret = "sAiHB6XcSWJgsMrMl_vJzcfVlhhenJLi"

[roles]
# @include "roles.json"

[tls]
# If certificate path is not defined, use global or built-in self-signed certs
#key="/path/to/server/key.pem"
#cert="/path/to/server/cert.pem"

[mobileconfig]
# plist configuration for OSX/iOS profile files that are generated with Application Specific Passwords
# Use {email} in the description strings to replace it with account email address

# A reverse-DNS style identifier (com.example.myprofile, for example) that identifies the profile.
# This string is used to determine whether a new profile should replace an existing one or should be added. Username is prepended to this value.
identifier = "es.hatthieves"

# A human-readable name for the profile. This value is displayed on the Detail screen. It does not have to be unique.
displayName = "Wildduck Mail"

# A human-readable string containing the name of the organization that provided the profile.
organization = "Unknown"

# A description of the profile, shown on the Detail screen for the profile. This should be descriptive enough to help the user decide whether to install the profile.
displayDescription = "Install this profile to setup {email}"

# A user-visible description of the email account, shown in the Mail and Settings applications.
accountDescription = "{email}"

[mobileconfig.tls]
# If certificate path is not defined, use global or built-in self-signed certs
#key="/path/to/server/key.pem"
#cert="/path/to/server/cert.pem"
